/***** stringUtil.h *******************************
 * Description:  Header file for string utilities.
 * Author: Bernhard Haubold, haubold@evolbio.mpg.de
 * File created on Sun Jun  6 00:23:34 2004.
 **************************************************/
#define HASHSIZE 101		/* size of hash table */
#define MAXFIELDS 5000		/* maximum number of fields */
#define NAMELENGTH 30		/* maximum number of identifier characters printed */

typedef struct word_node
{				/* node in a word tree */
  char *word;			/* word to be counted */
  int count;			/* number of occurrences */
  struct word_node *left;	/* left child */
  struct word_node *right;	/* right child */
} Word_node;


char *chomp (char *line);
char *clean_word (char *word);
char *clean_word_edges (char *word);
unsigned hash (char *s);
char *strdup2 (char *s);
void split (char *line, char *splitC, char **splitArray, int *arrayLen);
void strtolower (char *s);
void reverse (char *s);
void reset_sequence_reader ();
void replace (char *string, char original, char replacement);
Word_node *add_word (Word_node * p, char *w);
Word_node *walloc (void);
void treeprint (Word_node * p);
void strtoupper (char *s);
void fprintnf (FILE * fp, char *str, int n);
